From: Ole Streicher <olebole@debian.org>
Date: Fri, 12 Jun 2020 17:13:16 +0200
Subject: Use system ply instead of local copy

---
 astropy/coordinates/angle_formats.py | 2 +-
 astropy/utils/parsing.py             | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/astropy/coordinates/angle_formats.py b/astropy/coordinates/angle_formats.py
index c506187..2d97b8e 100644
--- a/astropy/coordinates/angle_formats.py
+++ b/astropy/coordinates/angle_formats.py
@@ -75,7 +75,7 @@ class _AngleParser:
 
     @classmethod
     def _make_parser(cls):
-        from astropy.extern.ply import lex, yacc
+        from ply import lex, yacc
 
         # List of token names.
         tokens = (
diff --git a/astropy/utils/parsing.py b/astropy/utils/parsing.py
index fd1a873..22bb075 100644
--- a/astropy/utils/parsing.py
+++ b/astropy/utils/parsing.py
@@ -84,7 +84,7 @@ def lex(lextab, package, reflags=int(re.VERBOSE)):
     reflags : int
         Passed to ``ply.lex``.
     """
-    from astropy.extern.ply import lex
+    from ply import lex
 
     caller_file = lex.get_caller_module_dict(2)['__file__']
     lextab_filename = os.path.join(os.path.dirname(caller_file), lextab + '.py')
@@ -137,7 +137,7 @@ def yacc(tabmodule, package):
         the output file. This is inserted into a comment in the generated
         file.
     """
-    from astropy.extern.ply import yacc
+    from ply import yacc
 
     caller_file = yacc.get_caller_module_dict(2)['__file__']
     tab_filename = os.path.join(os.path.dirname(caller_file), tabmodule + '.py')
